Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class CallerTransformer

    java.lang.Object
      org.jboss.aop.instrument.CallerTransformer

Direct Known Subclasses:
  GeneratedAdvisorCallerTransformer, NonOptimizedCallerTransformer, OptimizedCallerTransformer

public abstract class CallerTransformer
extends Object

Instruments Caller pointcuts

Author:
  Kabir Khan

Nested Class Summary
`protected class` | `CallerTransformer.ConByConDetail`
`protected class` | `CallerTransformer.ConByMethodDetail`
`protected class` | `CallerTransformer.ConstructorDetail`
`protected class` | `CallerTransformer.MethodDetail`

Field Summary
`static String` | `CON_BY_CON_INFO_CLASS_NAME`
`static String` | `CON_BY_METHOD_INFO_CLASS_NAME`
`static String` | `METHOD_BY_CON_INFO_CLASS_NAME`
`static String` | `METHOD_BY_METHOD_INFO_CLASS_NAME`

Constructor Summary
`protected` | `CallerTransformer(Instrumentor instrumentor, AspectManager manager, boolean optimize, CallerInfoAdder callerInfoAdder)`

Method Summary
`boolean` | `applyCallerPointcuts(javassist.CtClass clazz, ClassAdvisor advisor)`
`protected abstract org.jboss.aop.instrument.CallerTransformer.CallerExprEditor` | `callerExprEditorFactory(ClassAdvisor advisor, javassist.CtClass clazz)`
`protected static String` | `conByConInfoFromWeakReference(String localName, String infoName)`
`protected static String` | `conByMethodInfoFromWeakReference(String localName, String infoName)`
`protected static String` | `getConByConInfoName(long callingIndex, String classname, long calledHash)`
`protected static String` | `getConByMethodInfoName(long callingHash, String classname, long calledHash)`
`protected static String` | `getMethodByConInfoName(int index, String classname, long calledHash)`
`protected static String` | `getMethodByMethodInfoName(long callingHash, String classname, long calledHash)`
`protected static String` | `getUniqueInvocationFieldname(long callingHash, String classname, long calledHash)`
`protected static String` | `methodByConInfoFromWeakReference(String localName, String infoName)`
`protected static String` | `methodByMethodInfoFromWeakReference(String localName, String infoName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CON_BY_CON_INFO_CLASS_NAME

    public static final String CON_BY_CON_INFO_CLASS_NAME

### CON_BY_METHOD_INFO_CLASS_NAME

    public static final String CON_BY_METHOD_INFO_CLASS_NAME

### METHOD_BY_CON_INFO_CLASS_NAME

    public static final String METHOD_BY_CON_INFO_CLASS_NAME

### METHOD_BY_METHOD_INFO_CLASS_NAME

    public static final String METHOD_BY_METHOD_INFO_CLASS_NAME

Constructor Detail

### CallerTransformer

    protected CallerTransformer(Instrumentor instrumentor,
                                AspectManager manager,
                                boolean optimize,
                                CallerInfoAdder callerInfoAdder)

Method Detail

### callerExprEditorFactory

    protected abstract org.jboss.aop.instrument.CallerTransformer.CallerExprEditor callerExprEditorFactory(ClassAdvisor advisor,
                                                                                                           javassist.CtClass clazz)

### applyCallerPointcuts

    public boolean applyCallerPointcuts(javassist.CtClass clazz,
                                        ClassAdvisor advisor)
                                 throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

### getUniqueInvocationFieldname

    protected static String getUniqueInvocationFieldname(long callingHash,
                                                         String classname,
                                                         long calledHash)

### getConByConInfoName

    protected static String getConByConInfoName(long callingIndex,
                                                String classname,
                                                long calledHash)

### getConByMethodInfoName

    protected static String getConByMethodInfoName(long callingHash,
                                                   String classname,
                                                   long calledHash)

### getMethodByConInfoName

    protected static String getMethodByConInfoName(int index,
                                                   String classname,
                                                   long calledHash)

### getMethodByMethodInfoName

    protected static String getMethodByMethodInfoName(long callingHash,
                                                      String classname,
                                                      long calledHash)

### conByConInfoFromWeakReference

    protected static String conByConInfoFromWeakReference(String localName,
                                                          String infoName)

### conByMethodInfoFromWeakReference

    protected static String conByMethodInfoFromWeakReference(String localName,
                                                             String infoName)

### methodByMethodInfoFromWeakReference

    protected static String methodByMethodInfoFromWeakReference(String localName,
                                                                String infoName)

### methodByConInfoFromWeakReference

    protected static String methodByConInfoFromWeakReference(String localName,
                                                             String infoName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.